package com.fjhx.service.water;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.Condition;
import com.fjhx.base.StorageBaseService;
import com.fjhx.entity.water.WaterDetail;
import com.fjhx.entity.water.WaterTag;
import com.fjhx.params.water.WaterVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 流水明细表 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-16
 */
public interface WaterDetailService extends StorageBaseService<WaterDetail> {

    void add(WaterVo waterVo, List<WaterTag> waterTagList);

    /**
     * 根据申购单id获取入库明细
     * TODO
     */
    List<Map<String, Object>> getInQuantityByApplyPurchaseDetailsId(Condition condition);

    /**
     * 领料序时浦 统计
     */
    Map<String, Object> pickingStatistics(Condition condition);

    /**
     * 领料序时浦 领料类型统计
     */
    Map<String, Integer> pickingTypeStatistics(Condition condition);

    /**
     * 领料序时浦 分页
     */
    Page<Map<String, Object>> pickingPage(Condition condition);

    /**
     * 今日领料
     */
    List<Map<String, Object>> getPickingToday();

}
